<?PHP
######################################################
#                                                    #
#             Forms To Go Lite  4.5.4                #
#             http://www.bebosoft.com/               #
#                                                    #
######################################################




define('kOptional', true);
define('kMandatory', false);

define('kStringRangeFrom', 1);
define('kStringRangeTo', 2);
define('kStringRangeBetween', 3);
        
define('kYes', 'yes');
define('kNo', 'no');




error_reporting(E_ERROR | E_WARNING | E_PARSE);
ini_set('track_errors', true);

function DoStripSlashes($fieldValue)  { 
// temporary fix for PHP6 compatibility - magic quotes deprecated in PHP6
 if ( function_exists( 'get_magic_quotes_gpc' ) && get_magic_quotes_gpc() ) { 
  if (is_array($fieldValue) ) { 
   return array_map('DoStripSlashes', $fieldValue); 
  } else { 
   return trim(stripslashes($fieldValue)); 
  } 
 } else { 
  return $fieldValue; 
 } 
}

function FilterCChars($theString) {
 return preg_replace('/[\x00-\x1F]/', '', $theString);
}

function CheckString($value, $low, $high, $mode, $limitAlpha, $limitNumbers, $limitEmptySpaces, $limitExtraChars, $optional) {

 $regEx = '';

 if ($limitAlpha == kYes) {
  $regExp = 'A-Za-z';
 }
 
 if ($limitNumbers == kYes) {
  $regExp .= '0-9'; 
 }
 
 if ($limitEmptySpaces == kYes) {
  $regExp .= ' '; 
 }

 if (strlen($limitExtraChars) > 0) {
 
  $search = array('\\', '[', ']', '-', '$', '.', '*', '(', ')', '?', '+', '^', '{', '}', '|', '/');
  $replace = array('\\\\', '\[', '\]', '\-', '\$', '\.', '\*', '\(', '\)', '\?', '\+', '\^', '\{', '\}', '\|', '\/');

  $regExp .= str_replace($search, $replace, $limitExtraChars);

 }

 if ( (strlen($regExp) > 0) && (strlen($value) > 0) ){
  if (preg_match('/[^' . $regExp . ']/', $value)) {
   return false;
  }
 }

 if ( (strlen($value) == 0) && ($optional === kOptional) ) {
  return true;
 } elseif ( (strlen($value) >= $low) && ($mode == kStringRangeFrom) ) {
  return true;
 } elseif ( (strlen($value) <= $high) && ($mode == kStringRangeTo) ) {
  return true;
 } elseif ( (strlen($value) >= $low) && (strlen($value) <= $high) && ($mode == kStringRangeBetween) ) {
  return true;
 } else {
  return false;
 }

}


function CheckEmail($email, $optional) {
 if ( (strlen($email) == 0) && ($optional === kOptional) ) {
  return true;
  } elseif ( preg_match("/^([\w\!\#$\%\&\'\*\+\-\/\=\?\^\`{\|\}\~]+\.)*[\w\!\#$\%\&\'\*\+\-\/\=\?\^\`{\|\}\~]+@((((([a-z0-9]{1}[a-z0-9\-]{0,62}[a-z0-9]{1})|[a-z])\.)+[a-z]{2,6})|(\d{1,3}\.){3}\d{1,3}(\:\d{1,5})?)$/i", $email) == 1 ) {
  return true;
 } else {
  return false;
 }
}




if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
 $clientIP = $_SERVER['HTTP_X_FORWARDED_FOR'];
} else {
 $clientIP = $_SERVER['REMOTE_ADDR'];
}

$FTGformselect1 = DoStripSlashes( $_POST['formselect1'] );
$FTGnaam = DoStripSlashes( $_POST['naam'] );
$FTGEmail = DoStripSlashes( $_POST['Email'] );
$FTGOnderwerp = DoStripSlashes( $_POST['Onderwerp'] );
$FTGBericht = DoStripSlashes( $_POST['Bericht'] );
$FTGfile_1 = $_FILES['file_1']['name'];
$FTGVersturen = DoStripSlashes( $_POST['Versturen'] );
$FTGreset = DoStripSlashes( $_POST['reset'] );



$validationFailed = false;

# Fields Validations


if (!CheckString($FTGnaam, 3, 30, kStringRangeBetween, kNo, kNo, kNo, '', kMandatory)) {
 $FTGErrorMessage['naam'] = '';
 $validationFailed = true;
}

if (!CheckEmail($FTGEmail, kMandatory)) {
 $FTGErrorMessage['Email'] = '';
 $validationFailed = true;
}

if (!CheckString($FTGOnderwerp, 3, 30, kStringRangeBetween, kNo, kNo, kNo, '', kMandatory)) {
 $FTGErrorMessage['Onderwerp'] = '';
 $validationFailed = true;
}

if (!CheckString($FTGBericht, 3, 300, kStringRangeBetween, kNo, kNo, kNo, '', kMandatory)) {
 $FTGErrorMessage['Bericht'] = '';
 $validationFailed = true;
}



# Include message in error page and dump it to the browser

if ($validationFailed === true) {

 $errorPage = '<html><head><meta http-equiv="content-type" content="text/html; charset=utf-8" /><title>Error</title></head><body>Errors found: <!--VALIDATIONERROR--></body></html>';

 $errorPage = str_replace('<!--FIELDVALUE:formselect1-->', $FTGformselect1, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:naam-->', $FTGnaam, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:Email-->', $FTGEmail, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:Onderwerp-->', $FTGOnderwerp, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:Bericht-->', $FTGBericht, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:file_1-->', $FTGfile_1, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:Versturen-->', $FTGVersturen, $errorPage);
 $errorPage = str_replace('<!--FIELDVALUE:reset-->', $FTGreset, $errorPage);


 $errorList = @implode("<br />\n", $FTGErrorMessage);
 $errorPage = str_replace('<!--VALIDATIONERROR-->', $errorList, $errorPage);



 echo $errorPage;

}

if ( $validationFailed === false ) {

 # Email to Form Owner
  
 $emailSubject = FilterCChars("$FTGOnderwerp");
  
 $emailBody = "formselect1 : $FTGformselect1\n"
  . "naam : $FTGnaam\n"
  . "Email : $FTGEmail\n"
  . "Onderwerp : $FTGOnderwerp\n"
  . "Bericht : $FTGBericht\n"
  . "file 1 : $FTGfile_1\n"
  . "Versturen : $FTGVersturen\n"
  . "reset : $FTGreset\n"
  . "";
  $emailTo = 'Acewo <info@acewo.nl>,Acewo <lipnoharbor@gmail.com>';
   
  $emailFrom = FilterCChars("$FTGEmail");
   
  $emailHeader = "From: $emailFrom\n"
   . "MIME-Version: 1.0\n"
   . "Content-type: text/plain; charset=\"UTF-8\"\n"
   . "Content-transfer-encoding: 8bit\n";
   
  mail($emailTo, $emailSubject, $emailBody, $emailHeader);
  
  
# Redirect user to success page

header("Location: http://www.lipnoharbor.nl/dankje2.html");

}

?>